cudaMemcpy3DParms
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.runtime
Class cudaMemcpy3DParms

    java.lang.Object
      jcuda.runtime.cudaMemcpy3DParms

    public class cudaMemcpy3DParms

extends java.lang.Object

Java port of cudaMemcpy3DParms.
Most comments are taken from the CUDA reference manual.

See Also:
  `JCuda.cudaMemcpy3D(jcuda.runtime.cudaMemcpy3DParms)`

Field Summary
`cudaArray` | `dstArray` The destination array.
`cudaPos` | `dstPos` The srcPos and dstPos fields are optional offsets into the source and destination objects and are defined in units of each object's elements.
`cudaPitchedPtr` | `dstPtr` The destination pointer.
`cudaExtent` | `extent` The extent field defines the dimensions of the transferred area in elements.
`int` | `kind` The kind field defines the direction of the copy.
`cudaArray` | `srcArray` The source array.
`cudaPos` | `srcPos` The srcPos and dstPos fields are optional offsets into the source and destination objects and are defined in units of each object's elements.
`cudaPitchedPtr` | `srcPtr` The source pointer.

Constructor Summary
`cudaMemcpy3DParms()`

Method Summary
`java.lang.String` | `toFormattedString()` Creates and returns a formatted (aligned, multi-line) String representation of this object
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### srcArray

    public cudaArray srcArray

  The source array.

### srcPos

    public cudaPos srcPos

  The srcPos and dstPos fields are optional offsets into the source and destination objects and are defined in units of each object's elements. The element for a host or device pointer is assumed to be unsigned char. For CUDA arrays, positions must be in the range [0, 2048) for any dimension.

### srcPtr

    public cudaPitchedPtr srcPtr

  The source pointer.

### dstArray

    public cudaArray dstArray

  The destination array.

### dstPos

    public cudaPos dstPos

  The srcPos and dstPos fields are optional offsets into the source and destination objects and are defined in units of each object's elements. The element for a host or device pointer is assumed to be unsigned char. For CUDA arrays, positions must be in the range [0, 2048) for any dimension.

### dstPtr

    public cudaPitchedPtr dstPtr

  The destination pointer.

### extent

    public cudaExtent extent

  The extent field defines the dimensions of the transferred area in elements. If a CUDA array is participating in the copy the extent is defined in terms of that array's elements. If no CUDA array is participating in the copy then the extents are defined in elements of unsigned char.

### kind

    public int kind

  The kind field defines the direction of the copy. It must be one of the cudaMemcpyKind values.

  See Also:
    `cudaMemcpyKind`

Constructor Detail

### cudaMemcpy3DParms

    public cudaMemcpy3DParms()

Method Detail

### toString

    public java.lang.String toString()

  Returns a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String representation of this object.

### toFormattedString

    public java.lang.String toFormattedString()

  Creates and returns a formatted (aligned, multi-line) String representation of this object

  Returns:
    A formatted String representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD